PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# UNLISTEN

## Name

UNLISTEN -- stop listening for a notification

## Synopsis

    UNLISTEN { name | * }

## Description

`UNLISTEN` is used to remove an existing registration for `NOTIFY` events. `UNLISTEN` cancels any existing registration of the current PostgreSQL session as a listener on the notification `name`. The special wildcard `*` cancels all listener registrations for the current session.

NOTIFY contains a more extensive discussion of the use of `LISTEN` and `NOTIFY`.

## Parameters

`name`

  Name of a notification (any identifier).

`*`

  All current listen registrations for this session are cleared.

## Notes

You may unlisten something you were not listening for; no warning or error will appear.

At the end of each session, `UNLISTEN *` is automatically executed.

## Examples

To make a registration:

    LISTEN virtual;
    NOTIFY virtual;
    Asynchronous notification "virtual" received from server process with PID 8448.

Once `UNLISTEN` has been executed, further `NOTIFY` commands will be ignored:

    UNLISTEN virtual;
    NOTIFY virtual;
    -- no NOTIFY event is received

## Compatibility

There is no `UNLISTEN` command in the SQL standard.

## See Also

LISTEN, NOTIFY

Prev | Home | Next
TRUNCATE | Up | UPDATE